Summary: A tool for converting XML files to various formats
Name: xmlto
Version: 0.0.28
Release: %mkrel 1
License: GPLv2+
Group: Publishing
URL: https://fedorahosted.org/xmlto/
Source0: https://fedorahosted.org/releases/x/m/xmlto/%{name}-%{version}.tar.bz2
BuildRequires: docbook-xsl >= 1.56.0
BuildRequires: libxslt-proc
BuildRequires: docbook-dtd42-xml
Requires: xmlto-notex
# For full functionality, we need passivetex.
Requires: xmltex
Requires: texlive-texmf

%description
This is a package for converting XML files to various formats using XSL
stylesheets.

%package -n xmlto-notex
Summary: xmlto without the TeX dependency
Group: Publishing
# We rely entirely on the DocBook XSL stylesheets!
Requires: docbook-style-xsl >= 1.56.0
Requires: libxslt-proc
Requires: docbook-dtd42-xml
Requires: docbook-dtd44-xml
#gw for html->text either w3m, lynx or links are supported, w3m seems to be
# the preferred application
#Suggests: w3m
Requires: lynx

%description -n xmlto-notex
xmlto without the TeX dependencies. Normally, the xmlto package is preferable.

%prep
%setup -q

%build
%configure2_5x --with-backend=%{backend}
%make

%install
%makeinstall_std

[ -d %{buildroot}%{_datadir}/xmlto/xsl ] || \
  mkdir %{buildroot}%{_datadir}/xmlto/xsl

%check
make check

%files

%files -n xmlto-notex
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto


%changelog
* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.0.28-1.mga6
+ Revision: 917626
- 0.0.28

* Fri Dec 11 2015 shlomif <shlomif> 0.0.27-2.mga6
+ Revision: 909417
- create an xml-notex package to ease the burden on packagers.
- By installing it texlive is not installed.

* Tue Nov 17 2015 blino <blino> 0.0.27-1.mga6
+ Revision: 903884
- 0.0.27

* Sat Jul 25 2015 tv <tv> 0.0.26-1.mga6
+ Revision: 857456
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.0.25-6.mga5
+ Revision: 749974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.25-5.mga5
+ Revision: 690710
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.25-4.mga4
+ Revision: 520732
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.0.25-3.mga3
+ Revision: 387208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.0.25-2.mga3
+ Revision: 330847
- requires style-xsl

* Sun Jan 29 2012 kamil <kamil> 0.0.25-1.mga2
+ Revision: 202922
- new version 0.0.25

* Sat Oct 15 2011 dmorgan <dmorgan> 0.0.24-2.mga2
+ Revision: 155427
- Requires texlive-texmf, needed convert XML files into PDF documents ( mga #2985)

* Wed Sep 07 2011 tv <tv> 0.0.24-1.mga2
+ Revision: 140374
- new release
- use passivetex as backend

* Sun Jan 09 2011 blino <blino> 0.0.23-4.mga1
+ Revision: 1540
- remove old macro in comment
- imported package xmlto

